#ifndef LAUNCHER_H
#define LAUNCHER_H
#include <iostream>
#include <data_acces.h>
class session_manager
{
public:
  session_manager(int fd);
  void start_dialog();
  int execute();
  int remove();
  void send_information();
  void send_user_info();
  bool validate_pass();
  void create_user();
  void remove_user();
 private:
  std::string appli_command(char comand[], char* n_package);
  virtual int read_data(char* input, int size);
  virtual int write_data(std::string output);
  int fd;
  data_acces* data;
  char** args;
  std::string user;
};

#endif // LAUNCHER_H
